%define	major	0
%define	libname	%mklibname lettertree %{major}
%define devname %mklibname lettertree -d

Name:		liblettertree
Version:	0.1
Release:	%mkrel 16
Summary:	A letter tree data structure
License:	LGPL
Group:		System/Libraries
# This URLs is no longer available
Source:		ftp://ftp.inria.fr/INRIA/Atoll/Guillaume.Rousse/%{name}-%{version}.tar.bz2

%description
This is a simple implementation of a lettertree, an efficient data structure
for storing and indexing string sharing a common prefix.

%package -n %{libname}
Summary:	A letter tree data structure
Group:		System/Libraries

%description -n	%{libname}
This is a simple implementation of a lettertree, an efficient data structure
for storing and indexing string sharing a common prefix.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lettertree-devel = %{version}-%{release}
Obsoletes:	%{_lib}lettertree0-devel < 0.1-8

%description -n	%{devname}
This package contains development files for %{name}.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog README
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_libdir}/%{name}.so
%{_includedir}/lettertree.h


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.1-16.mga9
+ Revision: 1792043
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1-15.mga8
+ Revision: 1514221
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1-14.mga7
+ Revision: 1298963
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 0.1-13.mga7
+ Revision: 1235721
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Sat Feb 06 2016 umeabot <umeabot> 0.1-12.mga6
+ Revision: 941200
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-11.mga5
+ Revision: 748167
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-10.mga5
+ Revision: 681575
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1-9.mga4
+ Revision: 532438
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 wally <wally> 0.1-8.mga4
+ Revision: 468433
- drop major from devel pkg name
- disable static build and drop .la files
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 0.1-7.mga3
+ Revision: 357659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 dmorgan <dmorgan> 0.1-6.mga1
+ Revision: 24039
- Remove mdv macros
- imported package liblettertree


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-6mdv2011.0
+ Revision: 620147
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1-5mdv2010.0
+ Revision: 429787
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.1-4mdv2009.0
+ Revision: 248939
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.1-2mdv2008.1
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import liblettertree


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-2mdv2007.0
- Rebuild

* Tue Dec 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-1mdk
- first mdk release
